/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IExpansionPanelAdapter } from './expansion-panel-adapter';
import { ExpansionPanelAnimationType, ExpansionPanelOrientation } from './expansion-panel-constants';
export interface IExpansionPanelFoundation extends ICustomElementFoundation {
    open: boolean;
    orientation: ExpansionPanelOrientation;
    animationType: ExpansionPanelAnimationType;
}
export declare class ExpansionPanelFoundation implements IExpansionPanelFoundation {
    private _adapter;
    private _open;
    private _orientation;
    private _animationType;
    private _clickListener;
    private _keydownListener;
    private _animationCompleteListener;
    constructor(_adapter: IExpansionPanelAdapter);
    initialize(): void;
    private _onClick;
    private _onKeydown;
    private _onAnimationComplete;
    private _togglePanel;
    private _dispatchToggleEvent;
    private _toggle;
    get open(): boolean;
    set open(value: boolean);
    get orientation(): ExpansionPanelOrientation;
    set orientation(value: ExpansionPanelOrientation);
    get animationType(): ExpansionPanelAnimationType;
    set animationType(value: ExpansionPanelAnimationType);
}
